#!/usr/bin/env python
# -*- coding: utf-8 -*-
import datetime

from gep.api.util import StringUtils
from gep.api.util.ApiRequest import ApiRequest

if __name__ == '__main__':
    path = "/api/vas/card/apply"
    data_params = {
        "userReqNo": StringUtils.generate_req_no(),
        "localCurrency": "USD",
        "startDate": datetime.datetime.now().strftime("%Y-%m-%d"),
        "endDate": "2026-12-31",
        "authLimitAmount": "100",
        "enableMultiUse": "1",  # 1多次卡 0单次卡
        "enableCurrencyCheck": "0",  # 是否限制交易币种 1开启校验 0 不校验
        "cardAlias": "消费",
        "binRangeId": "438357",  # 测试环境使用HKG-438357,USA-404038
        "channelType": "1",  # 1(常规卡，默认) 2(共享-附属卡)
        "groupId": "13800000000",
        "cardUserId": "2408070955000000409"
    }
    client = ApiRequest()
    client.execute(path, data_params)